Skip to main content
GET
/
types
/
{listing_type}
/
v1
Listings by type
curl --request GET \
  --url https://gateway.apiosk.com/types/{listing_type}/v1
{
  "listing_type": "<string>",
  "apis": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "name": "<string>",
      "description": "<string>",
      "price_usd": 123,
      "category": "<string>",
      "raw_category": "<string>",
      "implementation_type": "<string>",
      "model_backed": true,
      "listing_type": "<string>",
      "docs_url": "<string>",
      "origin_url": "<string>",
      "gateway_url": "<string>",
      "active": true,
      "verified": true,
      "endpoint_count": 123,
      "listing_metadata": {},
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "total": 123,
    "returned": 123,
    "limit": 123,
    "offset": 123,
    "sort": "<string>",
    "order": "<string>",
    "search": "<string>",
    "category": "<string>"
  }
}

Path Parameters

listing_type
enum<string>
required

Public listing type to browse.

Available options:
api,
dataset,
service,
connector,
skill,
product

Query Parameters

Full-text search over name and description.

sort
enum<string>
default:name

Sort order field.

Available options:
name,
price,
newest
order
enum<string>
default:asc

Sort direction.

Available options:
asc,
desc
limit
integer
default:500

Maximum number of records to return.

Required range: 1 <= x <= 500
offset
integer
default:0

Pagination offset.

Required range: x >= 0

Response

Paged listings for one listing type.

listing_type
string
apis
object[]
meta
object